The Ably Websocket API is being deprecated on July 1, 2026. See the migration guide →
curl --request GET \
--url https://api.sx.bet/trades/portfolio/refunds{
"status": "success",
"data": {
"results": [
{
"marketHash": "0x7d9e27978f12b65e36990df94dbfa85c9f63dacaab24225e38e2f04d1ec66e8e",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"totalRefundedBetTimeValue": 65.54772,
"events": [
{
"marketHash": "0x7d9e27978f12b65e36990df94dbfa85c9f63dacaab24225e38e2f04d1ec66e8e",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"bettor": "0x8268feC8dCb0D284343054BDf2b649286c9aA0a1",
"maker": true,
"fillOrderHash": "0x40b8c59cce8323952da3fb42b4e22a097a4922ae402bc46f958c441fd0f0902a",
"amount": "61.960285",
"amountBetTimeValue": "61.960285",
"createdAt": "2026-01-05T18:20:24.920Z"
},
{
"marketHash": "0x7d9e27978f12b65e36990df94dbfa85c9f63dacaab24225e38e2f04d1ec66e8e",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"bettor": "0x8268feC8dCb0D284343054BDf2b649286c9aA0a1",
"maker": true,
"fillOrderHash": "0xa56e17872d28b3021dc050006fcf10b469291e11472ff468196732169bc8371e",
"amount": "3.587435",
"amountBetTimeValue": "3.587435",
"createdAt": "2026-01-05T18:29:08.486Z"
}
]
}
],
"count": 7324
}
}Retrieve capital-efficiency refund events for a bettor on SX Bet.
curl --request GET \
--url https://api.sx.bet/trades/portfolio/refunds{
"status": "success",
"data": {
"results": [
{
"marketHash": "0x7d9e27978f12b65e36990df94dbfa85c9f63dacaab24225e38e2f04d1ec66e8e",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"totalRefundedBetTimeValue": 65.54772,
"events": [
{
"marketHash": "0x7d9e27978f12b65e36990df94dbfa85c9f63dacaab24225e38e2f04d1ec66e8e",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"bettor": "0x8268feC8dCb0D284343054BDf2b649286c9aA0a1",
"maker": true,
"fillOrderHash": "0x40b8c59cce8323952da3fb42b4e22a097a4922ae402bc46f958c441fd0f0902a",
"amount": "61.960285",
"amountBetTimeValue": "61.960285",
"createdAt": "2026-01-05T18:20:24.920Z"
},
{
"marketHash": "0x7d9e27978f12b65e36990df94dbfa85c9f63dacaab24225e38e2f04d1ec66e8e",
"baseToken": "0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B",
"bettor": "0x8268feC8dCb0D284343054BDf2b649286c9aA0a1",
"maker": true,
"fillOrderHash": "0xa56e17872d28b3021dc050006fcf10b469291e11472ff468196732169bc8371e",
"amount": "3.587435",
"amountBetTimeValue": "3.587435",
"createdAt": "2026-01-05T18:29:08.486Z"
}
]
}
],
"count": 7324
}
}Documentation Index
Fetch the complete documentation index at: https://docs.sx.bet/llms.txt
Use this file to discover all available pages before exploring further.
GET /trades/* endpoints share a combined limit of 200 requests/min. See Rate Limits.settledNetReturn may differ from netReturn when marketHasRefunds is true (see Capital Efficiency Upgrades). Refunds reflect decreases in worst-case exposure (MXL) from offsetting positions and are only generated for market groups without prior cash outs; conversely, cash outs cannot occur after capital-efficient refunds.
Bettor address (checksummed).
Filter by market hash.
Filter by base token.
Filter by the associated trade fill hash.
If true, only refunds where bettor was a maker; otherwise taker refunds.
Sort ascending when true, descending when false.
Page number for pagination (min 0).
Page size (max 500).